package com.yuexiu.secp.comm.api.controller;

import com.sie.demo.comm.model.entities.readonly.BaseUsers;
import com.yuexiu.secp.comm.dto.Comment;
import com.yuexiu.secp.comm.model.service.ICommentService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

@RestController
@RequestMapping("/comment")
public class CommentController {


    @Autowired
    private ICommentService iCommentService;

    @GetMapping(value = "/getById")
    public List<Comment> findById() {
        return iCommentService.findCommentList();
    }

    @GetMapping(value = "/getMysqlById/{id}")
    public BaseUsers getMysqlById(@PathVariable("id") int id) {
        return iCommentService.findUserById(id);
    }






}
